﻿#pragma warning disable 1591
//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace Portal_Proveedor.Models.Datos
{
	using System.Data.Linq;
	using System.Data.Linq.Mapping;
	using System.Data;
	using System.Collections.Generic;
	using System.Reflection;
	using System.Linq;
	using System.Linq.Expressions;
	using System.ComponentModel;
	using System;
	
	
	[global::System.Data.Linq.Mapping.DatabaseAttribute(Name="OnBase")]
	public partial class OnBaseDataContext : System.Data.Linq.DataContext
	{
		
		private static System.Data.Linq.Mapping.MappingSource mappingSource = new AttributeMappingSource();
		
    #region Extensibility Method Definitions
    partial void OnCreated();
    #endregion
		
		public OnBaseDataContext() : 
				base(global::Portal_Proveedor.Properties.Settings.Default.OB, mappingSource)
		{
			OnCreated();
		}
		
		public OnBaseDataContext(string connection) : 
				base(connection, mappingSource)
		{
			OnCreated();
		}
		
		public OnBaseDataContext(System.Data.IDbConnection connection) : 
				base(connection, mappingSource)
		{
			OnCreated();
		}
		
		public OnBaseDataContext(string connection, System.Data.Linq.Mapping.MappingSource mappingSource) : 
				base(connection, mappingSource)
		{
			OnCreated();
		}
		
		public OnBaseDataContext(System.Data.IDbConnection connection, System.Data.Linq.Mapping.MappingSource mappingSource) : 
				base(connection, mappingSource)
		{
			OnCreated();
		}
		
		[global::System.Data.Linq.Mapping.FunctionAttribute(Name="dbo.ConsultarFacturaPorProveedoryEstado")]
		public ISingleResult<ConsultarFacturaPorProveedoryEstadoResult> ConsultarFacturaPorProveedoryEstado([global::System.Data.Linq.Mapping.ParameterAttribute(DbType="NVarChar(256)")] string codigoProveedor)
		{
			IExecuteResult result = this.ExecuteMethodCall(this, ((MethodInfo)(MethodInfo.GetCurrentMethod())), codigoProveedor);
			return ((ISingleResult<ConsultarFacturaPorProveedoryEstadoResult>)(result.ReturnValue));
		}
		
		[global::System.Data.Linq.Mapping.FunctionAttribute(Name="dbo.ConsultarFacturasPorProveedoryFactura")]
		public ISingleResult<ConsultarFacturasPorProveedoryFacturaResult> ConsultarFacturasPorProveedoryFactura([global::System.Data.Linq.Mapping.ParameterAttribute(DbType="NVarChar(256)")] string codigoProveedor, [global::System.Data.Linq.Mapping.ParameterAttribute(DbType="NVarChar(256)")] string numFactura)
		{
			IExecuteResult result = this.ExecuteMethodCall(this, ((MethodInfo)(MethodInfo.GetCurrentMethod())), codigoProveedor, numFactura);
			return ((ISingleResult<ConsultarFacturasPorProveedoryFacturaResult>)(result.ReturnValue));
		}
		
		[global::System.Data.Linq.Mapping.FunctionAttribute(Name="dbo.ConsultarOrdenesCompraPorProveedor")]
		public ISingleResult<ConsultarOrdenesCompraPorProveedorResult> ConsultarOrdenesCompraPorProveedor([global::System.Data.Linq.Mapping.ParameterAttribute(DbType="NVarChar(256)")] string codigoProveedor)
		{
			IExecuteResult result = this.ExecuteMethodCall(this, ((MethodInfo)(MethodInfo.GetCurrentMethod())), codigoProveedor);
			return ((ISingleResult<ConsultarOrdenesCompraPorProveedorResult>)(result.ReturnValue));
		}
		
		[global::System.Data.Linq.Mapping.FunctionAttribute(Name="dbo.ConsultarFacturasPorProveedor")]
		public ISingleResult<ConsultarFacturasPorProveedorResult> ConsultarFacturasPorProveedor([global::System.Data.Linq.Mapping.ParameterAttribute(DbType="NVarChar(256)")] string codigoProveedor)
		{
			IExecuteResult result = this.ExecuteMethodCall(this, ((MethodInfo)(MethodInfo.GetCurrentMethod())), codigoProveedor);
			return ((ISingleResult<ConsultarFacturasPorProveedorResult>)(result.ReturnValue));
		}
		
		[global::System.Data.Linq.Mapping.FunctionAttribute(Name="hsi.ConsultarConstanciaPagoCuenta")]
		public ISingleResult<ConsultarConstanciaPagoCuentaResult> ConsultarConstanciaPagoCuenta([global::System.Data.Linq.Mapping.ParameterAttribute(DbType="NVarChar(256)")] string codigoProveedor)
		{
			IExecuteResult result = this.ExecuteMethodCall(this, ((MethodInfo)(MethodInfo.GetCurrentMethod())), codigoProveedor);
			return ((ISingleResult<ConsultarConstanciaPagoCuentaResult>)(result.ReturnValue));
		}
		
		[global::System.Data.Linq.Mapping.FunctionAttribute(Name="hsi.ConsultarEstadoDeCuentaConFechas")]
		public ISingleResult<ConsultarEstadoDeCuentaConFechasResult> ConsultarEstadoDeCuentaConFechas([global::System.Data.Linq.Mapping.ParameterAttribute(DbType="NVarChar(250)")] string codigoProveedor, [global::System.Data.Linq.Mapping.ParameterAttribute(DbType="Date")] System.Nullable<System.DateTime> fechaInicio, [global::System.Data.Linq.Mapping.ParameterAttribute(DbType="Date")] System.Nullable<System.DateTime> fechaFin)
		{
			IExecuteResult result = this.ExecuteMethodCall(this, ((MethodInfo)(MethodInfo.GetCurrentMethod())), codigoProveedor, fechaInicio, fechaFin);
			return ((ISingleResult<ConsultarEstadoDeCuentaConFechasResult>)(result.ReturnValue));
		}
		
		[global::System.Data.Linq.Mapping.FunctionAttribute(Name="hsi.ConsultarEstadoDeCuenta")]
		public ISingleResult<ConsultarEstadoDeCuentaResult> ConsultarEstadoDeCuenta([global::System.Data.Linq.Mapping.ParameterAttribute(DbType="NVarChar(250)")] string codigoProveedor)
		{
			IExecuteResult result = this.ExecuteMethodCall(this, ((MethodInfo)(MethodInfo.GetCurrentMethod())), codigoProveedor);
			return ((ISingleResult<ConsultarEstadoDeCuentaResult>)(result.ReturnValue));
		}
	}
	
	public partial class ConsultarFacturaPorProveedoryEstadoResult
	{
		
		private string _CodigoProveedor;
		
		private string _OC;
		
		private System.Nullable<double> _MontoTotal;
		
		private string _NumFactura;
		
		private string _Estado;
		
		public ConsultarFacturaPorProveedoryEstadoResult()
		{
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_CodigoProveedor", DbType="Char(40)")]
		public string CodigoProveedor
		{
			get
			{
				return this._CodigoProveedor;
			}
			set
			{
				if ((this._CodigoProveedor != value))
				{
					this._CodigoProveedor = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_OC", DbType="Char(12)")]
		public string OC
		{
			get
			{
				return this._OC;
			}
			set
			{
				if ((this._OC != value))
				{
					this._OC = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_MontoTotal", DbType="Float")]
		public System.Nullable<double> MontoTotal
		{
			get
			{
				return this._MontoTotal;
			}
			set
			{
				if ((this._MontoTotal != value))
				{
					this._MontoTotal = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_NumFactura", DbType="Char(25)")]
		public string NumFactura
		{
			get
			{
				return this._NumFactura;
			}
			set
			{
				if ((this._NumFactura != value))
				{
					this._NumFactura = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Estado", DbType="Char(80)")]
		public string Estado
		{
			get
			{
				return this._Estado;
			}
			set
			{
				if ((this._Estado != value))
				{
					this._Estado = value;
				}
			}
		}
	}
	
	public partial class ConsultarFacturasPorProveedoryFacturaResult
	{
		
		private string _CodigoProveedor;
		
		private string _OC;
		
		private System.Nullable<double> _MontoTotal;
		
		private string _NumFactura;
		
		private string _Estado;
		
		public ConsultarFacturasPorProveedoryFacturaResult()
		{
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_CodigoProveedor", DbType="Char(40)")]
		public string CodigoProveedor
		{
			get
			{
				return this._CodigoProveedor;
			}
			set
			{
				if ((this._CodigoProveedor != value))
				{
					this._CodigoProveedor = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_OC", DbType="Char(12)")]
		public string OC
		{
			get
			{
				return this._OC;
			}
			set
			{
				if ((this._OC != value))
				{
					this._OC = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_MontoTotal", DbType="Float")]
		public System.Nullable<double> MontoTotal
		{
			get
			{
				return this._MontoTotal;
			}
			set
			{
				if ((this._MontoTotal != value))
				{
					this._MontoTotal = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_NumFactura", DbType="Char(25)")]
		public string NumFactura
		{
			get
			{
				return this._NumFactura;
			}
			set
			{
				if ((this._NumFactura != value))
				{
					this._NumFactura = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Estado", DbType="Char(80)")]
		public string Estado
		{
			get
			{
				return this._Estado;
			}
			set
			{
				if ((this._Estado != value))
				{
					this._Estado = value;
				}
			}
		}
	}
	
	public partial class ConsultarOrdenesCompraPorProveedorResult
	{
		
		private string _CodigoProveedor;
		
		private string _OC;
		
		private long _ID;
		
		public ConsultarOrdenesCompraPorProveedorResult()
		{
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_CodigoProveedor", DbType="Char(40)")]
		public string CodigoProveedor
		{
			get
			{
				return this._CodigoProveedor;
			}
			set
			{
				if ((this._CodigoProveedor != value))
				{
					this._CodigoProveedor = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_OC", DbType="Char(12)")]
		public string OC
		{
			get
			{
				return this._OC;
			}
			set
			{
				if ((this._OC != value))
				{
					this._OC = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_ID", DbType="BigInt NOT NULL")]
		public long ID
		{
			get
			{
				return this._ID;
			}
			set
			{
				if ((this._ID != value))
				{
					this._ID = value;
				}
			}
		}
	}
	
	public partial class ConsultarFacturasPorProveedorResult
	{
		
		private string _CodigoProveedor;
		
		private string _OC;
		
		private System.Nullable<double> _MontoTotal;
		
		private string _NumFactura;
		
		private string _Estado;
		
		private long _ID;
		
		public ConsultarFacturasPorProveedorResult()
		{
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_CodigoProveedor", DbType="Char(40)")]
		public string CodigoProveedor
		{
			get
			{
				return this._CodigoProveedor;
			}
			set
			{
				if ((this._CodigoProveedor != value))
				{
					this._CodigoProveedor = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_OC", DbType="Char(12)")]
		public string OC
		{
			get
			{
				return this._OC;
			}
			set
			{
				if ((this._OC != value))
				{
					this._OC = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_MontoTotal", DbType="Float")]
		public System.Nullable<double> MontoTotal
		{
			get
			{
				return this._MontoTotal;
			}
			set
			{
				if ((this._MontoTotal != value))
				{
					this._MontoTotal = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_NumFactura", DbType="Char(25)")]
		public string NumFactura
		{
			get
			{
				return this._NumFactura;
			}
			set
			{
				if ((this._NumFactura != value))
				{
					this._NumFactura = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Estado", DbType="Char(80)")]
		public string Estado
		{
			get
			{
				return this._Estado;
			}
			set
			{
				if ((this._Estado != value))
				{
					this._Estado = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_ID", DbType="BigInt NOT NULL")]
		public long ID
		{
			get
			{
				return this._ID;
			}
			set
			{
				if ((this._ID != value))
				{
					this._ID = value;
				}
			}
		}
	}
	
	public partial class ConsultarConstanciaPagoCuentaResult
	{
		
		private long _itemnum;
		
		private string _CodigoProveedor;
		
		private System.Nullable<System.DateTime> _FechaVencimiento;
		
		public ConsultarConstanciaPagoCuentaResult()
		{
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_itemnum", DbType="BigInt NOT NULL")]
		public long itemnum
		{
			get
			{
				return this._itemnum;
			}
			set
			{
				if ((this._itemnum != value))
				{
					this._itemnum = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_CodigoProveedor", DbType="VarChar(40)")]
		public string CodigoProveedor
		{
			get
			{
				return this._CodigoProveedor;
			}
			set
			{
				if ((this._CodigoProveedor != value))
				{
					this._CodigoProveedor = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_FechaVencimiento", DbType="DateTime")]
		public System.Nullable<System.DateTime> FechaVencimiento
		{
			get
			{
				return this._FechaVencimiento;
			}
			set
			{
				if ((this._FechaVencimiento != value))
				{
					this._FechaVencimiento = value;
				}
			}
		}
	}
	
	public partial class ConsultarEstadoDeCuentaConFechasResult
	{
		
		private string _DocumentName;
		
		private string _CodigoProveedor;
		
		private string _NumeroOC;
		
		private System.Nullable<double> _Monto;
		
		private string _NumeroFactura;
		
		private string _Estado;
		
		private long _DocumentHandle;
		
		public ConsultarEstadoDeCuentaConFechasResult()
		{
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_DocumentName", DbType="VarChar(255)")]
		public string DocumentName
		{
			get
			{
				return this._DocumentName;
			}
			set
			{
				if ((this._DocumentName != value))
				{
					this._DocumentName = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_CodigoProveedor", DbType="VarChar(40)")]
		public string CodigoProveedor
		{
			get
			{
				return this._CodigoProveedor;
			}
			set
			{
				if ((this._CodigoProveedor != value))
				{
					this._CodigoProveedor = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_NumeroOC", DbType="VarChar(12)")]
		public string NumeroOC
		{
			get
			{
				return this._NumeroOC;
			}
			set
			{
				if ((this._NumeroOC != value))
				{
					this._NumeroOC = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Monto", DbType="Float")]
		public System.Nullable<double> Monto
		{
			get
			{
				return this._Monto;
			}
			set
			{
				if ((this._Monto != value))
				{
					this._Monto = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_NumeroFactura", DbType="VarChar(25)")]
		public string NumeroFactura
		{
			get
			{
				return this._NumeroFactura;
			}
			set
			{
				if ((this._NumeroFactura != value))
				{
					this._NumeroFactura = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Estado", DbType="VarChar(80)")]
		public string Estado
		{
			get
			{
				return this._Estado;
			}
			set
			{
				if ((this._Estado != value))
				{
					this._Estado = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_DocumentHandle", DbType="BigInt NOT NULL")]
		public long DocumentHandle
		{
			get
			{
				return this._DocumentHandle;
			}
			set
			{
				if ((this._DocumentHandle != value))
				{
					this._DocumentHandle = value;
				}
			}
		}
	}
	
	public partial class ConsultarEstadoDeCuentaResult
	{
		
		private string _DocumentName;
		
		private string _CodigoProveedor;
		
		private string _NumeroOC;
		
		private System.Nullable<decimal> _Monto;
		
		private string _NumeroFactura;
		
		private string _Estado;
		
		private long _DocumentHandle;
		
		private string _Moneda;
		
		private string _GuiEstatus;
		
		public ConsultarEstadoDeCuentaResult()
		{
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_DocumentName", DbType="VarChar(255)")]
		public string DocumentName
		{
			get
			{
				return this._DocumentName;
			}
			set
			{
				if ((this._DocumentName != value))
				{
					this._DocumentName = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_CodigoProveedor", DbType="VarChar(40)")]
		public string CodigoProveedor
		{
			get
			{
				return this._CodigoProveedor;
			}
			set
			{
				if ((this._CodigoProveedor != value))
				{
					this._CodigoProveedor = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_NumeroOC", DbType="VarChar(12)")]
		public string NumeroOC
		{
			get
			{
				return this._NumeroOC;
			}
			set
			{
				if ((this._NumeroOC != value))
				{
					this._NumeroOC = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Monto", DbType="Decimal(20,2)")]
		public System.Nullable<decimal> Monto
		{
			get
			{
				return this._Monto;
			}
			set
			{
				if ((this._Monto != value))
				{
					this._Monto = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_NumeroFactura", DbType="VarChar(25)")]
		public string NumeroFactura
		{
			get
			{
				return this._NumeroFactura;
			}
			set
			{
				if ((this._NumeroFactura != value))
				{
					this._NumeroFactura = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Estado", DbType="VarChar(80)")]
		public string Estado
		{
			get
			{
				return this._Estado;
			}
			set
			{
				if ((this._Estado != value))
				{
					this._Estado = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_DocumentHandle", DbType="BigInt NOT NULL")]
		public long DocumentHandle
		{
			get
			{
				return this._DocumentHandle;
			}
			set
			{
				if ((this._DocumentHandle != value))
				{
					this._DocumentHandle = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Moneda", DbType="VarChar(21)")]
		public string Moneda
		{
			get
			{
				return this._Moneda;
			}
			set
			{
				if ((this._Moneda != value))
				{
					this._Moneda = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_GuiEstatus", DbType="VarChar(200)")]
		public string GuiEstatus
		{
			get
			{
				return this._GuiEstatus;
			}
			set
			{
				if ((this._GuiEstatus != value))
				{
					this._GuiEstatus = value;
				}
			}
		}
	}
}
#pragma warning restore 1591
